Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1495)

Issue 1696051: code review 1696051: runtime: implementation of callback functions for windows (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 2 months ago by brainman
Modified:
8 years, 7 months ago
Reviewers:
CC:
rsc, lxn, alex.brainman_eventree.com, dho, golang-dev
Visibility:
Public.

Description

runtime: implementation of callback functions for windows

Patch Set 1 #

Patch Set 2 : code review 1696051: runtime: implementation of callback functions for windows #

Patch Set 3 : code review 1696051: runtime: implementation of callback functions for windows #

Patch Set 4 : code review 1696051: runtime: implementation of callback functions for windows #

Total comments: 24

Patch Set 5 : code review 1696051: runtime: implementation of callback functions for windows #

Total comments: 7

Patch Set 6 : code review 1696051: runtime: implementation of callback functions for windows #

Total comments: 4

Patch Set 7 : code review 1696051: runtime: implementation of callback functions for windows #

Unified diffs Side-by-side diffs Delta from patch set Stats (+698 lines, -2 lines) Patch
A src/pkg/exp/wingui/Makefile View 1 2 3 4 1 chunk +26 lines, -0 lines 0 comments Download
A src/pkg/exp/wingui/gui.go View 1 2 3 4 1 chunk +157 lines, -0 lines 0 comments Download
A src/pkg/exp/wingui/winapi.go View 1 2 3 4 1 chunk +148 lines, -0 lines 0 comments Download
A src/pkg/exp/wingui/zwinapi.go View 1 2 1 chunk +214 lines, -0 lines 0 comments Download
M src/pkg/runtime/386/asm.s View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M src/pkg/runtime/windows/386/sys.s View 1 2 3 4 5 2 chunks +40 lines, -1 line 0 comments Download
M src/pkg/runtime/windows/os.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M src/pkg/runtime/windows/syscall.goc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M src/pkg/runtime/windows/thread.c View 1 2 3 4 5 6 3 chunks +84 lines, -0 lines 0 comments Download
M src/pkg/syscall/syscall_windows.go View 1 2 3 4 1 chunk +20 lines, -0 lines 0 comments Download

Messages

Total messages: 27
brainman
Hello golang-dev@googlegroups.com, I'd like you to review this change.
9 years, 2 months ago (2010-07-21 04:51:36 UTC) #1
rsc1
I don't know what to do about this. Is there something this is driving toward?
9 years ago (2010-08-26 16:07:46 UTC) #2
brainman
On 2010/08/26 16:07:46, rsc1 wrote: > I don't know what to do about this. > ...
9 years ago (2010-08-27 01:04:33 UTC) #3
brainman
Hello rsc (cc: golang-dev@googlegroups.com), I'd like you to review this change.
9 years ago (2010-09-14 01:59:47 UTC) #4
lxn
On 2010/09/14 01:59:47, brainman wrote: > Hello rsc (cc: mailto:golang-dev@googlegroups.com), > > I'd like you ...
8 years, 11 months ago (2010-09-27 20:30:43 UTC) #5
alex.brainman_eventree.com
Hi Alex, > I have applied this patch to my local Go installation (release > ...
8 years, 11 months ago (2010-09-28 06:16:53 UTC) #6
brainman
On 2010/09/27 20:30:43, lxn wrote: > The problem seems to be insufficient stack space ...
8 years, 11 months ago (2010-09-29 05:36:28 UTC) #7
lxn
On 2010/09/29 05:36:28, brainman wrote: > On 2010/09/27 20:30:43, lxn wrote: > > > The ...
8 years, 11 months ago (2010-09-29 08:24:56 UTC) #8
lxn
> > It works for me. > > Works here as well. This helps me ...
8 years, 11 months ago (2010-09-30 16:09:02 UTC) #9
dho
2010/9/30 <an2048@googlemail.com>: >> > It works for me. > >> Works here as well. This ...
8 years, 11 months ago (2010-09-30 22:52:34 UTC) #10
rsc
> I think the deal is that you just use AX / BX / etc ...
8 years, 11 months ago (2010-10-01 04:35:31 UTC) #11
brainman
On 2010/09/30 16:09:02, lxn wrote: > > Cheered too soon. > > Stack overflows still ...
8 years, 11 months ago (2010-10-01 07:30:46 UTC) #12
brainman
On 2010/10/01 07:30:46, brainman wrote: It looks like we need to make stack splitting code ...
8 years, 11 months ago (2010-10-04 00:20:14 UTC) #13
brainman
Hello rsc, lxn, alex.brainman@eventree.com, dho (cc: golang-dev@googlegroups.com), I'd like you to review this change.
8 years, 8 months ago (2011-01-11 04:14:14 UTC) #14
brainman
On 2010/09/30 16:09:02, lxn wrote: > Hopefully someone could help with this once again. > ...
8 years, 8 months ago (2011-01-11 04:18:05 UTC) #15
rsc
http://codereview.appspot.com/1696051/diff/43001/src/pkg/exp/wingui/Makefile File src/pkg/exp/wingui/Makefile (right): http://codereview.appspot.com/1696051/diff/43001/src/pkg/exp/wingui/Makefile#newcode1 src/pkg/exp/wingui/Makefile:1: # Copyright 2009 The Go Authors. All rights reserved. ...
8 years, 8 months ago (2011-01-11 16:43:58 UTC) #16
brainman
Hello rsc, lxn, alex.brainman@eventree.com, dho (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 8 months ago (2011-01-12 04:26:37 UTC) #17
brainman
Thanks for reveiw. Just want to make sure, you're OK with increase size of initial ...
8 years, 8 months ago (2011-01-12 04:26:47 UTC) #18
rsc
Looks pretty good. I think you should address the sys.s TODO now. http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/386/sys.s File src/pkg/runtime/windows/386/sys.s ...
8 years, 8 months ago (2011-01-13 18:21:44 UTC) #19
brainman
http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/386/sys.s File src/pkg/runtime/windows/386/sys.s (right): http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/386/sys.s#newcode62 src/pkg/runtime/windows/386/sys.s:62: // TODO(brainman): preserve and restore EBX, ESI, EDI and ...
8 years, 8 months ago (2011-01-20 11:45:29 UTC) #20
brainman
Hello rsc, lxn, alex.brainman@eventree.com, dho (cc: golang-dev@googlegroups.com), I'd like you to review this change.
8 years, 8 months ago (2011-01-20 11:45:51 UTC) #21
lxn
I applied your latest changes to release.2011-01-20 and checked the examples from the Walk[1] library ...
8 years, 8 months ago (2011-01-21 11:28:38 UTC) #22
rsc
LGTM http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/thread.c File src/pkg/runtime/windows/thread.c (right): http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/thread.c#newcode279 src/pkg/runtime/windows/thread.c:279: sp = g1->sched.sp - 8; // our go ...
8 years, 8 months ago (2011-01-21 16:35:41 UTC) #23
hector
http://codereview.appspot.com/1696051/diff/72001/src/pkg/runtime/windows/thread.c File src/pkg/runtime/windows/thread.c (right): http://codereview.appspot.com/1696051/diff/72001/src/pkg/runtime/windows/thread.c#newcode301 src/pkg/runtime/windows/thread.c:301: enum { StackGuard = 256 }; // defined in ...
8 years, 8 months ago (2011-01-22 00:39:38 UTC) #24
brainman
http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/thread.c File src/pkg/runtime/windows/thread.c (right): http://codereview.appspot.com/1696051/diff/55001/src/pkg/runtime/windows/thread.c#newcode279 src/pkg/runtime/windows/thread.c:279: sp = g1->sched.sp - 8; // our go function ...
8 years, 8 months ago (2011-01-22 02:31:10 UTC) #25
brainman
Hello rsc, lxn, alex.brainman@eventree.com, dho (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 8 months ago (2011-01-22 02:31:25 UTC) #26
brainman
8 years, 8 months ago (2011-01-22 02:56:05 UTC) #27
*** Submitted as http://code.google.com/p/go/source/detail?r=7195d7795c6b ***

runtime: implementation of callback functions for windows

R=rsc, lxn, alex.brainman, dho
CC=golang-dev
http://codereview.appspot.com/1696051

Committer: Alex Brainman <alex.brainman@gmail.com>
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b